=== debian/control ===
Source: cups-filters
Standards-Version: 3.9.3
Priority: optional
Section: net
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Uploaders: 
 Till Kamppeter <till.kamppeter@gmail.com>,
 Martin Pitt <mpitt@debian.org>,
 Didier Raboud <odyx@debian.org>
Build-Depends: 
 autoconf,
 autotools-dev,
 cdbs (>= 0.4.93~),
 debhelper (>= 9~),
 dpkg-dev (>= 1.16.1~),
 pkg-config,
 sharutils,
 ghostscript (>= 9.02~),
 poppler-utils,
 liblcms2-dev,
 libpoppler-private-dev (>= 0.16.0),
 libjpeg-dev,
 libpng-dev | libpng12-dev,
 libtiff-dev,
 libcups2-dev,
 libcupsimage2-dev (>= 1.5.2-6~),
 libijs-dev,
 zlib1g-dev,
 libfontconfig1-dev
Homepage: http://www.openprinting.org/
Vcs-Bzr: http://bzr.debian.org/pkg-cups/cups-filters/debian-trunk/
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-cups/cups-filters/debian-trunk/

Package: libcupsfilters1
Priority: optional
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, 
 ${misc:Depends}
Multi-Arch: same
Description: OpenPrinting CUPS Filters - Shared library
 This library contains functions commonly used by the CUPS filters
 in the OpenPrinting CUPS filters package, currently functions to read
 several different image formats and to convert bitmaps between different
 color spaces.

Package: cups-filters
Priority: optional
Section: net
Architecture: any
Depends: ${shlibs:Depends}, 
 ${misc:Depends},
 ghostscript (>= 9.02~),
 ttf-freefont | fonts-liberation | ttf-dejavu
Recommends: colord, 
 foomatic-filters (>= 4.0), 
 ghostscript-cups (>= 9.02~)
Suggests: foomatic-db-compressed-ppds | foomatic-db
Replaces: cups (<< 1.5.0-16), 
 cups-common (<< 1.5.0-16),
 ghostscript-cups (<< 9.02~)
Breaks: cups (<< 1.5.0-16), 
 cups-common (<< 1.5.0-16),
 ghostscript-cups (<< 9.02~)
Description: OpenPrinting CUPS Filters
 This package provides additional CUPS filters which are not provided
 by the CUPS project itself. This includes filters for a PDF based
 printing workflow.

Package: libcupsfilters-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libcupsfilters1 (= ${binary:Version})
Description: OpenPrinting CUPS Filters - Development files for the library
 Header files to develop applications (CUPS filters, printer drivers) using
 libcupsfilters.

#Package: cups-filters-dbg
#Priority: extra
#Section: debug
#Architecture: any
#Depends: ${shlibs:Depends},
#  ${misc:Depends},
#  cups-filters (= ${binary:Version}) | libcupsfilters1 (= ${binary:Version})
#Description: OpenPrinting CUPS Filters - Debugging symbols
# This package provides the debugging symbols for OpenPrinting
# CUPS Filters.
