=== debian/watch ===
version=3
http://www.openprinting.org/download/cups-filters/cups-filters-(.*)\.tar\.gz \
	debian uupdate --no-symlink
