## cups-filters 1.0.24

=== debian/changelog ===
cups-filters (1.0.24-2) experimental; urgency=low

  * debian/patches/texttopdf-fix-deficient-string-escaping.patch: Fixed
    unsufficient string escaping in texttopdf (Upstream bug #1071).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 25 Sep 2012 06:15:07 +0200

cups-filters (1.0.24-1) experimental; urgency=low

  * New upstream release
     - pdftopdf now generates the necessary pdf comments to disable
       duplicate number-up when pdftops is also applied (Upstream bug #1063).
     - pdftops: Added support for using Adobe Reader (acroread) in command
       line mode for turning PDF to PostScript (Upstream bug #1065).
     - pdftops: Fix stripping of page management options from the pstops
       command line which got already applied by pdftopdf. If the name
       of the option to be removed is contained in the name of a option
       in the command line (like "number-up" in "number-up-layout" or
       "scaling" in "Natural-scaling"), this option gets stripped instead
       of the correct option (Upstream bug #1064).
     - Removed filter/pdftopdf.old
     - Fixed the requires.private for cupsfilters lib
  * debian/control: Versioned build dependency on libqpdf-dev.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 07 Sep 2012 15:32:43 +0200

cups-filters (1.0.22-1) experimental; urgency=low

  * New upstream release
     - pdftopdf filter replaced by new QPDF-based filter from Tobias
       Hoffmann's Google Summer of Code project. The former Poppler-based
       pdftopdf duplicated a lot of Poppler's code. The old filter is
       still in the package as pdftopdf.old with source code in
       filter/pdftopdf.old. It will be removed in a later release.
     - bannertopdf: Page duplication routine fixed.
     - bannertopdf: Fixed invalid output of a direct stream object.
     - Added most recent contributors to AUTHORS and COPYING files.
  * debian/control: Added build dependency on libqpdf-dev.
  * debian/copyright: Updated for the addition of the new pdftopdf filter.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 20 Aug 2012 14:53:42 +0200

cups-filters (1.0.20-1) experimental; urgency=low

  * New upstream release
     - pdftops: Added another workaround for Kyocera printers: Some
       models get very slow on images which request interpolation,
       so now we remove the image interpolation requests by additional
       PostScript code only inserted for Kyocera printers (LP: #1026974).
     - Made the Poppler-based filters pdftopdf and pdftoopvp build with
       both Poppler 0.18.x and 0.20.x (Upstream bug #1055).
     - Fixes according to Coverity scan results (Upstream bug #1054).
     - Switched build system to autotools. This especially fixes several
       build problems in Gentoo. Also build-tested with CUPS 1.6.0b1.
     - Fixes for compatibility with clang/gcc-4.7.
     - textonly: Filter did not work as a pipe with copies=1 (Upstream bug
       #1032).
     - texttopdf: Avoid trimming the results of FcFontSort(), as this may
       miss some reasonable candidates under certain circumstances. BTW,
       fix passing a non-pointer as a pointer to "result" (Closes: #670055).
     - Corrected documentation. The option for the maximum image rendering
       resolution in pdftops is "pdftops-max-image-resolution", not
       "pdftops-max-image-resolution-default".
  * debian/patches/fcfontsort-no-trim.patch: Removed, fixed upstream.
  * debian/rules: Updated options for ./configure and make for the new autotools
    build system.
  * debian/watch: Switched to bz2 upstream packages.
  * debian/rules, debian/copyright, debian/cups-filters.docs: Updated for
    renamed documentation files.
  * debian/control, debian/libfontembed1.install,
    debian/libfontembed-dev.install: Added new binary packages for libfontembed.
  * debian/copyright: Updated for recent file additions, and rearrangement of
    directories.
  * debian/control: Added missing build dependency on libpoppler-cpp-dev.
  * debian/copyright: Corrections (Closes: #682752).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 28 Jul 2012 11:54:32 +0200

cups-filters (1.0.18-2) unstable; urgency=low

  [ Fabian Greffrath ]
  * Add patch to avoid trimming the results of FcFontSort(), as this may
    miss some reasonable candidates under certain circumstances. BTW,
    fix passing a non-pointer as a pointer to "result". (Closes: #670055)

 -- Didier Raboud <odyx@debian.org>  Fri, 18 May 2012 15:01:54 +0200

cups-filters (1.0.18-1) unstable; urgency=low

  * New upstream release
     - pdftops: Allow selection whether Ghostscript or Poppler is used
       at runtime, setting the "pdftops-renderer" option to "gs" or
       "pdftops". This way one can switch to Poppler per-queue if there
       are incompatibilities with certain PostScript printers.
     - pdftops: Allow setting an upper limit for the image rendering
       resolution, also at runtime, setting the option
       "pdftops-max-image-resolution-default" to the desired limit in dpi.
       "0" means no limit. Default limit is 1440 dpi. This prevents slow
       processing by the printer if very high resolutions are used or
       if the printing resolution is mis-detected by the pdftops filter.
     - pdftops: Fixed crash by wrong usage of sizeof() function when adding
       "Collate" to the fifth command line argument for the "pstops" CUPS
       filter call (LP: #982675).
     - pdftops: Removed newline from copies value when reading it from
       the "%%PDFTOPDFNumCopies" entry of the incoming PDF file.
     - pdftops: Silenced compiler warning about ignoring the return
       value of the write() function.
     - pdftops: Added a crash guard.
     - pdftops: Start determining the printing resolution with
       cupsRasterInterpretPPD(), this is the most reliable as often
       the choice names of the "Resolution" option are marketing names
       with higher numerical values than the actual resolution. Also

