=== debian/control ===
--- 
+++ 
@@ -19,6 +19,8 @@
  poppler-utils,
  liblcms2-dev,
  libpoppler-private-dev (>= 0.16.0),
+ libpoppler-cpp-dev,
+ libqpdf-dev (>= 3.0.2),
  libjpeg-dev,
  libpng-dev | libpng12-dev,
  libtiff-dev,
@@ -44,6 +46,18 @@
  in the OpenPrinting CUPS filters package, currently functions to read
  several different image formats and to convert bitmaps between different
  color spaces.
+
+Package: libfontembed1
+Priority: optional
+Section: libs
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, 
+ ${misc:Depends}
+Multi-Arch: same
+Description: OpenPrinting CUPS Filters - Font Embed Shared library
+ This library contains functions for font embedding in PDF files, commonly
+ used by CUPS filters.
 
 Package: cups-filters
 Priority: optional
@@ -79,6 +93,16 @@
  Header files to develop applications (CUPS filters, printer drivers) using
  libcupsfilters.
 
+Package: libfontembed-dev
+Priority: optional
+Section: libdevel
+Architecture: any
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ libfontembed1 (= ${binary:Version})
+Description: OpenPrinting CUPS Filters - Development files for font embed library
+ Header files to develop applications using libfontembed.
+
 #Package: cups-filters-dbg
 #Priority: extra
 #Section: debug
