=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,10 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS := --with-optim=$(DEB_OPTFLAGS) --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --mandir=/usr/share/man --enable-static --enable-debug --with-pdftops-renderer=pdftops --with-pdftops-maxres=360
+DEB_CONFIGURE_EXTRA_FLAGS := --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --mandir=/usr/share/man --enable-static
 
-DEB_MAKE_INSTALL_TARGET := install BUILDROOT=$(DEB_DESTDIR)
-DEB_INSTALL_CHANGELOGS_ALL := CHANGES.txt
+DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(DEB_DESTDIR)
+DEB_INSTALL_CHANGELOGS_ALL := NEWS
 
 #DEB_DH_STRIP_ARGS := --dbg-package=cups-filters-dbg
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
