## cups-filters 1.0.28

=== debian/changelog ===
cups-filters (1.0.28-0ubuntu2) raring; urgency=low

  * debian/local/cups-browsed.upstart: Only start cups-browsed if avahi-daemon
    is started.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 14 Jan 2013 16:02:16 -0500

cups-filters (1.0.28-0ubuntu1) raring; urgency=low

  * New upstream release
     - cups-browsed: Added daemon to browse the Bonjour broadcasts of
       shared remote CUPS printers and automatically add local raw queues
       pointing to them, to resemble the behavior of the former CUPS
       broadcasting/browsing which was dropped in CUPS 1.6. Now remote
       printers appear as local print queues as before, but with the
       standardized Bonjour broadcasting (LP: #1086019, LP: #1061063,
       LP: #1061069).
  * debian/control: Added build dependencies on Avahi, needed for the new
    cups-browsed and also a new binary package named cups-browsed.
  * debian/cups-browsed.install: New cups-browsed binary package.
  * debian/local/cups-browsed.upstart: Upstart configuration file for
    cups-browsed.
  * debian/rules: Added everything needed so that the cups-browsed daemon gets
    started automatically.
  * debian/cups-filters.install: Include files from /usr/bin.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 29 Dec 2012 14:30:07 +0100

cups-filters (1.0.25-1) experimental; urgency=low

  * New upstream release
     - urftopdf: Newly added filter to convert the URF format which (at
       least some) iOS apps send when printing via AirPrint (Upstream bug
       #1076).
     - pdftopdf: pdfautorotate functionality has been patched directly
       into pdftopdf (LP: #1040037, Upstream bug #1080).
     - pdftopdf: "mirror" produced only empty pages (XObjects not there).
     - pdftopdf: Fixed segfault on "page-ranges=1-2147483647" (from cups).
     - pdftopdf: Fixed collate filler insertion.
     - texttopdf: Fixed deficient string escaping (Upstream bug #1071).
     - serial backend: Added check for sys/ioctl.h to configure.ac (Upstream bug
       #1069).
  * debian/patches/texttopdf-fix-deficient-string-escaping.patch: Removed
    fix backported from upstream.
  * debian/rules: Added "DEB_DH_FIXPERMS_ARGS := -Xusr/lib/cups/backend" to not
    correct the permissions of CUPS backends (LP: #1076786).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 28 Nov 2012 20:14:07 +0100

cups-filters (1.0.24-3) experimental; urgency=low

  * Add bc to cups-filters' depends as pstopdf uses it.

 -- Didier Raboud <odyx@debian.org>  Thu, 18 Oct 2012 11:03:30 +0200
