=== debian/rules ===
--- 
+++ 
@@ -17,17 +17,35 @@
 include /usr/share/cdbs/1/class/autotools.mk
 
 DEB_CONFIGURE_EXTRA_FLAGS := --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --mandir=/usr/share/man --enable-static
+# Do not install /etc/rc?.d/* links, on Ubuntu we use Upstart and on Debian
+# we create the links on our own
+# DEB_CONFIGURE_EXTRA_FLAGS += --with-rcdir=/etc/init.d --with-rclevels=
 
 DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(DEB_DESTDIR)
 DEB_INSTALL_CHANGELOGS_ALL := NEWS
 
 #DEB_DH_STRIP_ARGS := --dbg-package=cups-filters-dbg
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
+DEB_DH_FIXPERMS_ARGS := -Xusr/lib/cups/backend
 DPKG_GENSYMBOLS_CHECK_LEVEL=4
 export DPKG_GENSYMBOLS_CHECK_LEVEL
 
+ifeq ($(shell dpkg-vendor --query vendor), Ubuntu)
+DEB_DH_INSTALLINIT_ARGS := --upstart-only
+else
+DEB_DH_INSTALLINIT_ARGS := -u'start 50 2 3 4 5 . stop 80 1 .'
+endif
+
 cleanbuilddir::
-	[ ! -f Makedefs ] || make distclean
+	[ ! -r Makefile ] || make distclean
+	rm -f debian/*.upstart # master copy is in debian/local
+
+common-install-prehook-impl::
+	# Use upstart script on Ubuntu; we need to hide it away for Debian
+	# builds, as dh_installinit does not have a --sysvinit-only
+	if dpkg-vendor --is ubuntu; then \
+	    cp debian/local/*.upstart debian; \
+	fi
 
 binary-post-install/cups-filters::
 	# Ubuntu-specific stuff
@@ -40,4 +58,4 @@
 
 	# Make the serial backend run as root, since /dev/ttyS* are
 	# root:dialout and thus not accessible as user lp
-	chmod go-x debian/$(cdbs_curpkg)/usr/lib/cups/backend/serial
+	chmod 700 debian/$(cdbs_curpkg)/usr/lib/cups/backend/serial
