## cups-filters 1.0.34

=== debian/changelog ===
cups-filters (1.0.34-0ubuntu1.1) raring-proposed; urgency=low

  * debian/local/cups-browsed.upstart: Give up starting cups-browsed after
    3 failed attempts in 4 minutes. This avoids infinite respawning when
    avahi-daemon is not running (LP: #1098756).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 30 Apr 2013 16:05:06 +0200

cups-filters (1.0.34-0ubuntu1) raring; urgency=low

  * New upstream bug fix release
     - pdftopdf: Fixed duplex printing logic. Before when printing
       duplex jobs with multiple copies and a odd number of pages,
       the first page of the second copy got onto the back side of
       the last page of the first copy, rendering printing more than
       one copy unusable.
     - cups-browsed: If a queue left over from the last session
       gets confirmed, fill in the data structure with the Bonjour
       parameters, also update the Bonjour parameters if a local
       queue is upgraded from IPP to IPPS.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 10 Apr 2013 19:53:06 +0200

cups-filters (1.0.33-0ubuntu1) raring; urgency=low

  * New upstream bug fix release
     - cups-browsed: Added NULL check (Upstream bug #1106).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 04 Apr 2013 17:33:06 +0200

cups-filters (1.0.32-1) experimental; urgency=low

  * New upstream bug fix release
     - cups-browsed: Shared algorithm to generate local queues based on
       browsed remote queue data between Bonjour and CUPS browsing, as the
       simpler method used for CUPS browsing could overwrite local print
       queues and had de-duplication problems, for example if the server
       appears on two IPs in the network (connected by both ethernet and
       WLAN).
     - cups-browsed: CUPS broadcasting also broadcasted non-shared,
       especially cups-browsed-generated printers. Switched to detection
       of non-shared printers by the appropriate bit in the printer-type
       bit field IPP attribute.
     - cups-browsed: Made CUPS broadcasting work also without BrowseAllow
       lines in cups-browsed.conf. In this case we accept all remote
       printers (LP: #1163764).
     - README: Updated documentation for cups-browsed.
     - Added more comments and examples to /etc/cups/cups-browsed.conf.
     - cups-browsed: Added support for "...:<port>" extensions of
       BrowsePoll addresses. Thanks to Tim Waugh from Red Hat
       (LP: #1159213).

  [ Till Kamppeter ]
  * Let cups-browsed overtake browsing-related directives from
    /etc/cups/cupsd.conf into /etc/cups/cups-browsed.conf. Comment out
    directives which introduce CUPS broadcasting/browsing so that users
    use this deprecated method only if absolutely necessary. Add
    comments to tell the user about how to use the added lines.
    (LP: #1159213)

  [ Didier Raboud ]
  * Use the new fonts-freefont-ttf package name
  * Add simple cups-browsed init script (Closes: #700929)

 -- Didier Raboud <odyx@debian.org>  Thu, 04 Apr 2013 13:51:25 +0200

cups-filters (1.0.31-1) experimental; urgency=low

  * New upstream release
     - cups-browsed: cups-browsed removed valid local queues pointing to
       remote queues when cups-browsed did not shut down cleanly after
       the previous session, leaving the user with missing local accessor
       queues for some of the remote CUPS queues (LP: #1131149).
     - pdftopdf: Improved error output.
     - pdftopdf: getRotation now handles unusual cases more graceful
       (LP: #1154318).
     - cups-browsed: Do not remove a generated local print queue when
       it was made the system default printer (LP: #1146407).
     - texttopdf: Fixed corrupted pdf when a utf-8 title is given and
       corresponding crash with 'prettyprint' (LP: #1137438).
     - cups-browsed: Added CUPS Broadcasting for sharing local printers
       to remote CUPS clients with CUPS 1.5.x and older. Thanks to Tim
       Waugh from Red Hat.
     - cups-browsed: Added sample config-file and build-time default
       setting options. Thanks to Tim Waugh from Red Hat.
     - cups-browsed: Added CUPS browsing and BrowsePoll functionality, to
       be backwards compatible to CUPS 1.5.x and older servers. Thanks
       to Tim Waugh from Red Hat.
     - pdftopdf: Fixed incorrect evenDuplex page insertion (Upstream bug #1088).
     - pdftoopvp: Let it build with Poppler 0.22.x. Thanks to Koji Otani
       from BBR Inc. (Upstream bug #1089).

  [ Stéphane Graber ]
  * In upstart, only start cups-browsed if avahi-daemon is started.

  [ Till Kamppeter ]
  * Added build dependency on libavahi-glib-dev.
  * Build-depend on libqpdf-dev >= 4.0.1, to make printing filled PDF forms
    work via pdftopdf.
  * Install /etc/cups/cups-browsed.conf.
  * Set default "BrowseRemoteProtocols dnssd" in /etc/cups/cups-browsed.conf.

  [ Didier Raboud ]
  * Reduce Priority/Section redundancy in debian/control
  * Fix minor debian/copyright caveats
  * Make the libcupsfilters-dev description more verbose.
  * Don't double-install NEWS as doc and changelog
  * Make the libfontembed-dev description more verbose.
  * Move under the Debian Printing Team umbrella.
  * Add initial libfontembed1 symbols file.

 -- Didier Raboud <odyx@debian.org>  Wed, 03 Apr 2013 10:09:28 +0200

cups-filters (1.0.28-1) experimental; urgency=low

  * New upstream release
     - cups-browsed: Added daemon to browse the Bonjour broadcasts of
       shared remote CUPS printers and automatically add local raw queues
       pointing to them, to resemble the behavior of the former CUPS
       broadcasting/browsing which was dropped in CUPS 1.6. Now remote
       printers appear as local print queues as before, but with the
       standardized Bonjour broadcasting (LP: #1086019, LP: #1061063,
       LP: #1061069).
  * debian/control: Added build dependencies on Avahi, needed for the new
    cups-browsed and also a new binary package named cups-browsed.
  * debian/cups-browsed.install: New cups-browsed binary package.

