=== debian/rules ===
--- 
+++ 
@@ -16,13 +16,14 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS := --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --mandir=/usr/share/man --enable-static
+DEB_CONFIGURE_EXTRA_FLAGS := --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --mandir=/usr/share/man --enable-static --with-browseremoteprotocols=dnssd
 # Do not install /etc/rc?.d/* links, on Ubuntu we use Upstart and on Debian
 # we create the links on our own
 # DEB_CONFIGURE_EXTRA_FLAGS += --with-rcdir=/etc/init.d --with-rclevels=
 
 DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(DEB_DESTDIR)
 DEB_INSTALL_CHANGELOGS_ALL := NEWS
+DEB_INSTALL_DOCS_ALL := README AUTHORS
 
 #DEB_DH_STRIP_ARGS := --dbg-package=cups-filters-dbg
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
