## cups-filters 1.0.40

=== debian/changelog ===
cups-filters (1.0.40-0ubuntu1.1) saucy-security; urgency=medium

  * SECURITY UPDATE: arbitrary code execution via overflows in urftopdf
    - debian/patches/CVE-2013-647x.patch: check sizes in
      filter/urftopdf.cpp.
    - CVE-2013-6473
  * SECURITY UPDATE: arbitrary code execution via overflows in pdftoopvp
    - debian/patches/CVE-2013-647x.patch: use gmallocn and gmallocn3 in
      filter/pdftoopvp/{oprs/OPVPSplash.cxx,OPVPOutputDev.cxx}.
    - CVE-2013-6474
    - CVE-2013-6475
  * SECURITY UPDATE: arbitrary code execution via driver in pdftoopvp
    - debian/patches/CVE-2013-647x.patch: restrict driver path in
      filter/pdftoopvp/oprs/OPVPWrapper.cxx.
    - CVE-2013-6476

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 11 Mar 2014 10:52:15 -0400

cups-filters (1.0.40-0ubuntu1) saucy; urgency=low

  * New upstream bug fix release 1.0.40:
     - pdftops: Introduced new "hybrid" renderer: Here usually
       Ghostscript is used, but if the printer is a Brother,
       Minolta, or Konica Minolta Poppler's pdftops gets used. This
       is a quirk rule to work around bugs in the PS interpreters
       of the printers (LP: #1097105, LP: #1053443, LP: #1205898, LP: #238129,
       LP: #1072915, LP: #293832).
     - Fixed format string issues and added __attribute__ wording
       to printf-like functions to catch any regressions. Thanks to
       Tim Waugh from Red Hat for the patch.
     - pdftops: Fix for landscape PDF handling. Do not use the
       command line options "-origpagesizes" and
       "-choosePaperByPDFPageSize" of Poppler's pdftops utility on
       already processed PDF data. Thanks to Tim Waugh from Red Hat
       for the patch.
     - cups-browsed: Improve the efficiency of BrowsePoll by using
       IPP notifications when possible. It falls back to the
       previous behaviour if it is not possible to use this
       optimization. Thanks to Tim Waugh from Red Hat for the patch.
  * pdftops-only-use-origpagesizes-on-unprocessed-PDFs.patch: Removed patch
    backported from upstream.
  * debian/rules: Added ./configure option "--with-pdftops=hybrid" to activate
    the hybrid rendering mode (LP: #1097105, LP: #1053443, LP: #1205898,
    LP: #238129, LP: #1072915, LP: #293832).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 10 Oct 2013 12:04:57 +0200

cups-filters (1.0.38-0ubuntu2) saucy; urgency=low

  * pdftops-only-use-origpagesizes-on-unprocessed-PDFs.patch: Fix for landscape
    PDF handling in Poppler mode. Do not use the command line options
    "-origpagesizes" and "-choosePaperByPDFPageSize" of Poppler's pdftops
    utility on already processed PDF data. Thanks to Tim Waugh from Red Hat for
    the patch.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 02 Oct 2013 12:49:34 +0200

cups-filters (1.0.38-0ubuntu1) saucy; urgency=low

  * New upstream release 1.0.38:
     - pdftops: Added "-dNOINTERPOLATE" to the Ghostscript command line
       for quicker processing of embedded bitmaps.
     - pstopdf: Added "-dUseCIEColor" to the Ghostscript command line
       to assure compatibility with newer Ghostscript versions (9.08
       and newer).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 03 Sep 2013 17:03:34 +0200

cups-filters (1.0.37-0ubuntu1) saucy; urgency=low

  * New upstream release 1.0.37:
     - Added example configuration files for systemd and Upstart. Thanks
       to Tomáš Chvátal for the systemd file.
     - Build system: Make sure that gstoraster gets linked against the
       libcupsfilters of the currently built package and not of the
       system. Thanks to Tomáš Chvátal.
     - cupsfilters.convs: Reworked the cost factors of the filters to
       avoid bogus filter chains like pstotiff|imagetopdf instead of
       pstopdf|pdftopdf for PostScript->PDF. Thanks to Tim Waugh from
       Red Hat for the report.
     - pdftopdf: Accept additional command line options for PPD-less
       printing.
     - cups-browsed: Fixed building with CUPS 1.5.x and older,
       ippSetVersion() was missing under the accessor function definitions
       for backward compatibility.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 28 Aug 2013 22:21:32 +0200

cups-filters (1.0.36-0ubuntu2) saucy; urgency=low

  * Drop Recommends and Breaks on ghostscript-cups, now that we're
    using the magic Provides/Conflicts/Replaces trio (LP: #1212239)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 14 Aug 2013 12:42:57 -0600

cups-filters (1.0.36-0ubuntu1) saucy; urgency=low

  [ Till Kamppeter ]
  * New upstream release 1.0.36:
     - Fixed libdl detection in configure. Thanks to Andreas Huettel and
       Yuta Satoh (Gentoo bug #478642).
     - cups-browsed: Allow BrowsePoll operation also access print queues
       on older CUPS servers. Thanks to David Mohr for the patch.
     - cups-browsed: Assure that it always applies to the local CUPS
       daemon and never to a remote one specified via client.conf
       (LP: #1207203).
     - pdftoopvp, pdftoijs, pdftoraster, bannertopdf: Made code working
       with Poppler 0.24.x (Upstream bug #1144).
     - gstoraster: Silenced compiler warnings.
     - gstoraster, pdftoraster: Added support for PPD-less printing
       controlled by IPP attributes (CUPS 1.7.x+ only).
     - gstoraster, gstopxl: Moved these filters from Ghostscript to
       cups-filters as upstream home.
     - libcupsfilters: Added new cupsRasterParseIPPOptions() API
       function for PPD-less printing controlled by IPP attributes
       (raster.h, CUPS 1.7.x+ only).
     - pdftopdf: Added support for page labels. "page-label" option and
       "CLASSIFICATION" environment variable. Thanks to Tim Waugh from
       Red Hat for the patch.
     - pdftops: If one or more of the PDF-to-PS renderers (Ghostscript,
       Poppler pdftops, Poppler pdftocairo, acroread) is not installed
       at build time, pre-fill the appropriate executable's path with the
       executable name to allow the use of this renderer when it gets

