=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Standards-Version: 3.9.3
 Priority: optional
 Section: net
-Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: 
  Till Kamppeter <till.kamppeter@gmail.com>,
  Martin Pitt <mpitt@debian.org>,
@@ -20,7 +21,7 @@
  liblcms2-dev,
  libpoppler-private-dev (>= 0.16.0),
  libpoppler-cpp-dev,
- libqpdf-dev (>= 3.0.2),
+ libqpdf-dev (>= 4.0.1),
  libjpeg-dev,
  libpng-dev | libpng12-dev,
  libtiff-dev,
@@ -30,13 +31,13 @@
  zlib1g-dev,
  libfontconfig1-dev,
  libavahi-common-dev,
- libavahi-client-dev
+ libavahi-client-dev,
+ libavahi-glib-dev
 Homepage: http://www.openprinting.org/
 Vcs-Bzr: http://bzr.debian.org/pkg-cups/cups-filters/debian-trunk/
 Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-cups/cups-filters/debian-trunk/
 
 Package: libcupsfilters1
-Priority: optional
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -50,7 +51,6 @@
  color spaces.
 
 Package: libfontembed1
-Priority: optional
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -62,63 +62,75 @@
  used by CUPS filters.
 
 Package: cups-filters
-Priority: optional
-Section: net
 Architecture: any
 Depends: ${shlibs:Depends}, 
  ${misc:Depends},
  bc,
  ghostscript (>= 9.02~),
- ttf-freefont | fonts-liberation | ttf-dejavu
+ fonts-freefont-ttf | fonts-liberation | ttf-dejavu
 Recommends: colord, 
- foomatic-filters (>= 4.0), 
- ghostscript-cups (>= 9.02~)
+ foomatic-filters (>= 4.0) 
 Suggests: foomatic-db-compressed-ppds | foomatic-db
+Conflicts: ghostscript-cups
 Replaces: cups (<< 1.5.0-16), 
  cups-common (<< 1.5.0-16),
- ghostscript-cups (<< 9.02~)
+ ghostscript-cups
 Breaks: cups (<< 1.5.0-16), 
- cups-common (<< 1.5.0-16),
- ghostscript-cups (<< 9.02~)
+ cups-common (<< 1.5.0-16)
+Provides: ghostscript-cups
 Description: OpenPrinting CUPS Filters
  This package provides additional CUPS filters which are not provided
  by the CUPS project itself. This includes filters for a PDF based
  printing workflow.
 
 Package: libcupsfilters-dev
-Priority: optional
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libcupsfilters1 (= ${binary:Version})
 Description: OpenPrinting CUPS Filters - Development files for the library
- Header files to develop applications (CUPS filters, printer drivers) using
- libcupsfilters.
+ This library contains functions commonly used by the CUPS filters
+ in the OpenPrinting CUPS filters package, currently functions to read
+ several different image formats and to convert bitmaps between different
+ color spaces.
+ .
+ This package contains the header files to develop applications (CUPS
+ filters, printer drivers) using libcupsfilters.
 
 Package: libfontembed-dev
-Priority: optional
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libfontembed1 (= ${binary:Version})
 Description: OpenPrinting CUPS Filters - Development files for font embed library
- Header files to develop applications using libfontembed.
+ This library contains functions for font embedding in PDF files, commonly
+ used by CUPS filters.
+ .
+ This package contains the header files to develop applications using
+ libfontembed.
 
 Package: cups-browsed
-Priority: optional
-Section: net
 Architecture: any
 Depends: ${shlibs:Depends}, 
  ${misc:Depends},
- cups
+ avahi-daemon
+Enhances: cups
 Description: OpenPrinting CUPS Filters - cups-browsed
  This package provides cups-browsed, a daemon which browses the Bonjour
  broadcasts of shared remote CUPS printers and makes the printers
  available locally, replacing the CUPS broadcasting/browsing which was
  dropped in CUPS 1.6.x. This way the old behavior of having the remote
  printers available automatically is now re-implemented with Bonjour.
+ .
+ cups-browsed is also useful with a CUPS >= 1.6 client to allow the
+ latter to browse the printer list of CUPS < 1.6 servers (by using the
+ old 'cups' protocol in BrowseRemoteProtocols).
+ .
+ cups-browsed is also useful with a CUPS >= 1.6 server to allow CUPS <
+ 1.6 clients to browse its printer list (by using the old 'cups'
+ protocol in BrowseLocalProtocols).
 
 #Package: cups-filters-dbg
 #Priority: extra
